/*
//
// Copyright (C) 2006, 2007, 2008, 2009 Jean-Franois DEL NERO
//
// This file is part of HxCFloppyEmulator.
//
// HxCFloppyEmulator may be used and distributed without restriction provided
// that this copyright statement is not removed from the file and that any
// derivative work contains the original copyright notice and the associated
// disclaimer.
//
// HxCFloppyEmulator is free software; you can redistribute it
// and/or modify  it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// HxCFloppyEmulator is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with HxCFloppyEmulator; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
*/
typedef struct _fat12config
{
	char * dirext;
	int number_of_track;
	int number_of_side;
	int number_of_sectorpertrack;
	int rpm;
	int bitrate;
	int pcbootsector;
	int gap3;
	int interleave;
	int interface_mode;
	int tracktype;
}fat12config;


fat12config configlist[]=
{
	{".fatst902",82,2,11,300,250000,0,3,2,ATARIST_DD_FLOPPYMODE,ISOFORMAT_DD11S},
	{".fatst160",  40 ,1,9,300,250000,0,84,1,ATARIST_DD_FLOPPYMODE,ISOFORMAT_DD},
	{".fatst",  80 ,2,9,300,250000,0,84,1,ATARIST_DD_FLOPPYMODE,ISOFORMAT_DD},
	{".fat720", 80 ,2,9,300,250000,1,84,1,IBMPC_DD_FLOPPYMODE,IBMFORMAT_DD},
	{".fat1440",80 ,2,18,300,500000,1,84,1,IBMPC_HD_FLOPPYMODE,IBMFORMAT_DD},
	{".fat1680",80 ,2,21,300,500000,1,14,2,IBMPC_HD_FLOPPYMODE,IBMFORMAT_DD},
	{".fat2880",80 ,2,36,300,1000000,1,84,1,IBMPC_ED_FLOPPYMODE,IBMFORMAT_DD},
	{".fat3381",127,2,26,240,500000,1,14,2,IBMPC_HD_FLOPPYMODE,IBMFORMAT_DD},
	//{".fat6789",255,2,26,240,500000,1,14,2,IBMPC_HD_FLOPPYMODE,IBMFORMAT_DD},
	{".fatbigst",127,2,27,75,250000,0,84,2,ATARIST_DD_FLOPPYMODE,ISOFORMAT_DD},
	{".fatmonsterst",254,2,17,200,250000,0,35,1,ATARIST_DD_FLOPPYMODE,ISOFORMAT_DD},
	{".fatbig",127,2,24,100,500000,1,84,2,IBMPC_HD_FLOPPYMODE,IBMFORMAT_DD},
	{"",80,2,9,300,250000,1}
};
